<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MAiNGO Reader Writer Utility: maingo::readerWriter::Constraint Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MAiNGO Reader Writer Utility
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>maingo</b></li><li class="navelem"><b>readerWriter</b></li><li class="navelem"><a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html">Constraint</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmaingo_1_1reader_writer_1_1_constraint-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">maingo::readerWriter::Constraint Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Auxiliary struct for representing a constraint.  
 <a href="structmaingo_1_1reader_writer_1_1_constraint.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_m_ai_n_g_o_reader_writer_8h_source.html">MAiNGOReaderWriter.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4f04628f8c91e4b2dc3825784fb21f55"><td class="memItemLeft" align="right" valign="top">CT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a4f04628f8c91e4b2dc3825784fb21f55">constraintType</a></td></tr>
<tr class="separator:a4f04628f8c91e4b2dc3825784fb21f55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46b1df7ac15585c53bf05263a2d1dbaa"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a46b1df7ac15585c53bf05263a2d1dbaa">lhs</a></td></tr>
<tr class="separator:a46b1df7ac15585c53bf05263a2d1dbaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314e7f68c1dc8d6dd7ca4f7f6f3c5760"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a314e7f68c1dc8d6dd7ca4f7f6f3c5760">rhs</a></td></tr>
<tr class="separator:a314e7f68c1dc8d6dd7ca4f7f6f3c5760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f0e0498457745e799e327a39b981c46"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_constraint.html#a9f0e0498457745e799e327a39b981c46">name</a></td></tr>
<tr class="separator:a9f0e0498457745e799e327a39b981c46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Auxiliary struct for representing a constraint. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a4f04628f8c91e4b2dc3825784fb21f55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f04628f8c91e4b2dc3825784fb21f55">&#9670;&nbsp;</a></span>constraintType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CT maingo::readerWriter::Constraint::constraintType</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Type of the constraint </p>

</div>
</div>
<a id="a46b1df7ac15585c53bf05263a2d1dbaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46b1df7ac15585c53bf05263a2d1dbaa">&#9670;&nbsp;</a></span>lhs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string maingo::readerWriter::Constraint::lhs</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Left hand side of the constraint </p>

</div>
</div>
<a id="a9f0e0498457745e799e327a39b981c46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f0e0498457745e799e327a39b981c46">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string maingo::readerWriter::Constraint::name</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Name of the constraint </p>

</div>
</div>
<a id="a314e7f68c1dc8d6dd7ca4f7f6f3c5760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a314e7f68c1dc8d6dd7ca4f7f6f3c5760">&#9670;&nbsp;</a></span>rhs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string maingo::readerWriter::Constraint::rhs</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Right hand side of the constraint </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/dobo01/maingo/utilities/MAiNGO_Reader_Writer/inc/<a class="el" href="_m_ai_n_g_o_reader_writer_8h_source.html">MAiNGOReaderWriter.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
